Vorbisfile documentation | libVorbisfile version 1.65 - 20020702

# ov_clear

declared in "vorbis/vorbisfile.h";

After a bitstream has been opened using ov_open()/ov_open_callbacks() and decoding is complete, the application must call `ov_clear()` to clear the decoder's buffers and close the file.

`ov_clear()` must also be called after a successful call to ov_test() or ov_test_callbacks().

    int ov_clear(OggVorbis_File *vf);

### Parameters

vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisfile functions. After `ov_clear` has been called, the structure is deallocated and can no longer be used.

### Return Values

> - 0 for success

copyright © 2002 Xiph.org | Ogg Vorbis
Vorbisfile documentation | libVorbisfile version 1.65 - 20020702